Package org.jboss.resteasy.spi

## Interface ResteasyAsynchronousResponse

- All Superinterfaces:
    `javax.ws.rs.container.AsyncResponse`
  All Known Implementing Classes:
    `AbstractAsynchronousResponse`, `SynchronousExecutionContext.SynchronousAsynchronousResponse`

      public interface ResteasyAsynchronousResponse
      extends javax.ws.rs.container.AsyncResponse

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from interface javax.ws.rs.container.AsyncResponse

      `NO_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete()` |
    `void` | `completionCallbacks​(Throwable throwable)` |
    `Annotation[]` | `getAnnotations()` |
    `AsyncWriterInterceptor[]` | `getAsyncWriterInterceptors()` |
    `javax.ws.rs.container.ContainerResponseFilter[]` | `getResponseFilters()` |
    `javax.ws.rs.ext.WriterInterceptor[]` | `getWriterInterceptors()` |
    `void` | `initialRequestThreadFinished()` | Callback by the initial http request thread.
    `void` | `setAnnotations​(Annotation[] annotations)` |
    `void` | `setResponseFilters​(javax.ws.rs.container.ContainerResponseFilter[] responseFilters)` |
    `void` | `setWriterInterceptors​(javax.ws.rs.ext.WriterInterceptor[] writerInterceptors)` |

    - ### Methods inherited from interface javax.ws.rs.container.AsyncResponse

      `cancel, cancel, cancel, isCancelled, isDone, isSuspended, register, register, register, register, resume, resume, setTimeout, setTimeoutHandler`

- - ### Method Detail

    - #### initialRequestThreadFinished

          void initialRequestThreadFinished()

      Callback by the initial http request thread. It is used to help simulate suspend/resume asynchronous semantics in containers that do not support asychronous HTTP. This method is a no-op in environments that support async HTTP.

    - #### getResponseFilters

          javax.ws.rs.container.ContainerResponseFilter[] getResponseFilters()

    - #### setResponseFilters

          void setResponseFilters​(javax.ws.rs.container.ContainerResponseFilter[] responseFilters)

    - #### getWriterInterceptors

          javax.ws.rs.ext.WriterInterceptor[] getWriterInterceptors()

    - #### setWriterInterceptors

          void setWriterInterceptors​(javax.ws.rs.ext.WriterInterceptor[] writerInterceptors)

    - #### getAsyncWriterInterceptors

          AsyncWriterInterceptor[] getAsyncWriterInterceptors()

    - #### getAnnotations

          Annotation[] getAnnotations()

    - #### setAnnotations

          void setAnnotations​(Annotation[] annotations)

    - #### complete

          void complete()

    - #### completionCallbacks

          void completionCallbacks​(Throwable throwable)